package com.naaturel.ANN.implementation.simplePerceptron;

import com.naaturel.ANN.domain.abstraction.AlgorithmStrategy;
import com.naaturel.ANN.domain.abstraction.TrainingContext;

import java.util.List;

public class SimplePredictionStrategy implements AlgorithmStrategy {

    private final TrainingContext context;

    public SimplePredictionStrategy(TrainingContext context) {
        this.context = context;
    }

    @Override
    public void apply() {
        context.predictions = context.model.predict(context.currentEntry.getData());
    }
}
